## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/marcomusy/vedo
Version:        2024.5.2
%forgemeta

%bcond_with check

Name:           python-vedo
Release:        %autorelease
Summary:        A python module for scientific analysis and visualization of 3D objects

License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
A python module for scientific analysis of 3D objects and point clouds based on
VTK and numpy.}

%description %_description

%package -n     python3-vedo
Summary:        %{summary}

%description -n python3-vedo %_description

%prep
%autosetup -p1 -n vedo-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files vedo

%py3_shebang_fix %{buildroot}%{python3_sitelib}

%check
%if %{with check}
%{py3_test_envvars} %{python3} tests/common/test_*.py
%endif

%files -n python3-vedo -f %{pyproject_files}
%{_bindir}/vedo

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2024.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 topazus <topazus@outlook.com> - 2024.5.2-1
- 2024.5.2

* Tue Jul 16 2024 topazus <topazus@outlook.com> - 2024.5.1-3
- disable tests; rhbz#2291965

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 2024.5.1-2
- Rebuilt for Python 3.13

* Fri Feb 16 2024 Packit <hello@packit.dev> - 2024.5.1-1
- [packit] 2024.5.1 upstream release
- Resolves rhbz#2264549

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2023.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 topazus <topazus@outlook.com> - 2023.5.0-1
- initial import; rhbz#2258065
## END: Generated by rpmautospec
